summaryrefslogtreecommitdiffstats
path: root/retiolum/bin/tinc
diff options
context:
space:
mode:
Diffstat (limited to 'retiolum/bin/tinc')
-rwxr-xr-xretiolum/bin/tinc18
1 files changed, 18 insertions, 0 deletions
diff --git a/retiolum/bin/tinc b/retiolum/bin/tinc
new file mode 100755
index 00000000..ffa1dbee
--- /dev/null
+++ b/retiolum/bin/tinc
@@ -0,0 +1,18 @@
+#! /bin/sh
+#
+set -euf
+
+init() {
+ f=/tmp/retiolum.GraphDumpFile
+ if ! test -f $f; then
+ touch $f &&
+ chown -v tincd: $f
+ fi
+
+ modprobe -v tun
+}
+
+if init; then
+ exec tincd --user=tincd --net=retiolum "$@"
+fi
+